Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class DashArray

    Object
      CodeList<E>
          SimpleEnumerationType<LinePattern>
              LinePattern
                  DashArray

All Implemented Interfaces:
  Serializable, Comparable<LinePattern>

    public class DashArray

extends LinePattern

Indicates the various enumerations of drawing a pattern line. An implementor can create a `DashArray` by passing a float array in the constructor that would indicate the dash pattern to be drawn.

See Also:
  Serialized Form

Field Summary
`static DashArray` | `NO_DASH` The line should be drawn with no dash array.
`static DashArray` | `NONE` Deprecated. Renamed as `NO_DASH`.

Fields inherited from class LinePattern
`DASHED, DOT_DASHED, DOTTED, LONG_DASHED, LONG_DOT_DASHED`

Constructor Summary
`DashArray(String name, String description, float[] pattern)` Construct an enumeration using the specified pattern.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`float[]` | `getDashPattern()` Returns the dash pattern.
`static LinePattern[]` | `values()` Returns the list of `DashArray`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_DASH

    public static final DashArray NO_DASH

  The line should be drawn with no dash array.

### NONE

    public static final DashArray NONE

  Deprecated. Renamed as `NO_DASH`.
  The line should be drawn with no dash array.

Constructor Detail

### DashArray

    public DashArray(String name,
                     String description,
                     float[] pattern)

  Construct an enumeration using the specified pattern.

Method Detail

### getDashPattern

    public float[] getDashPattern()

  Returns the dash pattern.

  TODO:
    Should clone the array in order to protect the enum from change.

### values

    public static LinePattern[] values()

  Returns the list of `DashArray`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Overrides:
    `family` in class `LinePattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.